package acube.framework.exception;

/**
 * Projet fwacubej2ee.
 * 
 * @author EDS
 * 
 */
public class BusinessException extends RuntimeException {

    /**
     * <code>serialVersionUID</code> the serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * <code>code</code> the code de l'exception
     */
    private String code;

    /**
     * <code>args</code> the args tableau des arguments
     */
    private String args[];

    /**
     * BusinessException
     * 
     * @param message
     *            message de l'exception
     * @param code
     *            code de l'exception
     */
    public BusinessException(
            String message, String code) {

        super(
                message);
        this.code = code;
    }

    /**
     * @param message
     *            message de l'exception
     * @param code
     *            code de l'exception
     * @param args
     *            tableau des arguments
     */
    public BusinessException(
            String message, String code, String args[]) {

        super(
                message);
        this.code = code;
        this.args = args;
    }

    /**
     * @param message message de l'exception
     * @param throwtable throwtable
     * @param code code de l'exception
     * @param args tableau des arguments
     */
    public BusinessException(
            String message, Throwable throwtable, String code, String args[]) {

        super(
                message, throwtable);
        this.code = code;
        this.args = args;
    }

    /**
     * @param code code code de l'exception
     * @param args tableau des arguments
     */
    public BusinessException(
            String code, String args[]) {

        super();
        this.code = code;
        this.args = args;
    }

    /**
     * @param args tableau des arguments
     */
    public BusinessException(
            String args[]) {

        super();
        this.args = args;
    }

    /**
     * @param args tableau des arguments
     * @param throwtable exception chaine
     */
    public BusinessException(
            String args[], Throwable throwtable) {

        super(
                throwtable);
        this.args = args;
    }

    /**
     * Constructeur
     */
    public BusinessException() {

        super();
    }

    /**
     * @param code code de l'exception
     * @param throwtable exception chaine
     */
    public BusinessException(
            String code, Throwable throwtable) {

        super(
                throwtable);
        this.code = code;
    }

    /**
     * @param code code de l'exception
     */
    public BusinessException(
            String code) {

        this.code = code;
    }

    /**
     * @param throwable exception chainage
     */
    public BusinessException(
            Throwable throwable) {

        super(
                throwable);
    }

    /**
     * Getter of the code
     * 
     * @return Returns the code.
     */
    public String getCode() {

        return this.code;
    }

    /**
     * Setter of the code
     * 
     * @param code
     *            The code to set.
     */
    public void setCode(
            String code) {

        this.code = code;
    }

    /**
     * Getter of the args
     * 
     * @return Returns the args.
     */
    public String[] getArgs() {

        return this.args;
    }

    /**
     * Setter of the args
     * 
     * @param args
     *            The args to set.
     */
    public void setArgs(
            String args[]) {

        this.args = args;
    }

}
