package acube.framework.web.interceptor;

import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts2.ServletActionContext;

import com.opensymphony.xwork2.ActionInvocation;
import com.opensymphony.xwork2.interceptor.AbstractInterceptor;

/**
 * Permet de ne pas utiliser  le cache navigateur (m�moire et disque). 
 * Compatible IE HTTPS, HTTP 1.0 et 1.1 
 * 
 * @date 11 janv. 08
 * @author EDS - gzqd4d
 * 
 */
public class CacheControlInterceptor extends AbstractInterceptor {
    
    /**
     * <code>serialVersionUID</code> the serialVersionUID
     */
    private static final long serialVersionUID = 1L;
    
    private   Logger logger = Logger.getLogger(CacheControlInterceptor.class);
   
    public String intercept(ActionInvocation invocation) throws Exception {
        String res = invocation.invoke();
        // On fixe la politique de cache dans l'entete HTTP
        HttpServletResponse response = (HttpServletResponse) invocation.getInvocationContext().get(ServletActionContext.HTTP_RESPONSE);

        logger.info("adding no-cache control to response...");
        
        response.setHeader("Pragma","no-cache"); //HTTP 1.0
        response.setDateHeader ("Expires", -1); //prevents caching at the proxy server
        response.setHeader("Cache-Control","private,no-cache,no-store,max-age=0"); //HTTP 1.1

        return res;
    }

}