package acube.framework.web.interceptor;

import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts2.ServletActionContext;
import org.apache.struts2.interceptor.RolesInterceptor;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionInvocation;
import com.opensymphony.xwork2.ValidationAware;
import com.opensymphony.xwork2.util.LocalizedTextUtil;

/**
 * 
 * Projet proto. Vérification du droit d'exécution d'une classe action
 * selon le rôle JEE de l'utilisateur
 * 
 * @date 11 janv. 08
 * @author EDS - gzqd4d
 * 
 */
public class SecurityInterceptor extends RolesInterceptor {

    /**
     * <code>serialVersionUID</code> the serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * The default message when a message is not found
     */
    private static final String DEFAULT_MESSAGE = "no.message.found";

    private Logger logger = Logger.getLogger(SecurityInterceptor.class);

    /** {@inheritDoc} */
    @Override
    protected String handleRejection(
            ActionInvocation invocation, HttpServletResponse response)
        throws Exception {

        String user = ServletActionContext.getRequest().getRemoteUser();

        Object action = invocation.getAction();
        if (action instanceof ValidationAware) {

            String params[] = {user, action.getClass().toString()};
            ((ValidationAware) action).addActionMessage((LocalizedTextUtil
                    .findText(
                        this.getClass(), "acube.framework.authorisation",
                        ActionContext.getContext().getLocale(),
                        SecurityInterceptor.DEFAULT_MESSAGE, params)));
        }

        return "error";

    }
}
