/*--

 Copyright (C) 2002-2003 Bernhard Woehrlin.
 All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions, and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions, and the disclaimer that follows
    these conditions in the documentation and/or other materials
    provided with the distribution.

 3. The name "StrutsCX" must not be used to endorse or promote products
    derived from this software without prior written permission.  For
    written permission, please contact service@cappuccinonet.com.

 In addition, we request (but do not require) that you include in the
 end-user documentation provided with the redistribution and/or in the
 software itself an acknowledgement equivalent to the following:
      "This product includes StrutsCX,
       by Bernhard Woehrlin (IT.CappuccinoNet.com)."

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED.  IN NO EVENT SHALL THE JDOM AUTHORS OR THE PROJECT
 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

 */
package acube.framework.webcomp.technical;

/**
 * Copy from StrutsCX to keep constants for compatibility of LISE 2.x
 * 
 * A helper class which manifests constants for StrutsCX.
 * 
 * @deprecated
 * @author Berny Woehrlin, IT.CappuccinoNet.com
 * @version v1.2, 2003.07.15
 */

public final class StrutsCXConstants {

    // /////////////////////////////////////////////////////////////
    // //
    // Standard //
    // //
    // /////////////////////////////////////////////////////////////

    /**
     * A false falg.
     * <p>
     * 
     * <pre>
     * FALSE = &quot;false&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String FALSE = "FALSE";

    /**
     * A true flag.
     * <p>
     * 
     * <pre>
     * TRUE = &quot;true&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String TRUE = "TRUE";

    /**
     * A false falg.
     * <p>
     * 
     * <pre>
     * ON = &quot;ON&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String ON = "ON";

    /**
     * A false falg.
     * <p>
     * 
     * <pre>
     * OFF = &quot;OFF&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String OFF = "OFF";

    // /////////////////////////////////////////////////////////////
    // //
    // ServletContext parameter names //
    // //
    // /////////////////////////////////////////////////////////////

    /**
     * <p>
     * 
     * <pre>
     * STRUTSCX_VERSION = &quot;strutscx_version&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String STRUTSCX_VERSION = "strutscx_version";

    /**
     * The package name for this application.
     * <p>
     * 
     * <pre>
     * PACKAGE = &quot;com.cappuccinonet.strutscx&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String PACKAGE = "com.cappuccinonet.strutscx";

    /**
     * The strutscx-config.xml.
     * <p>
     * 
     * <pre>
     * STRUTSCXPROPERTIES = &quot;/WEB-INF/strutscx-config.xml&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String STRUTSCXPROPERTIES =
            "/WEB-INF/strutscx-config.xml";

    /**
     * The id of the StrutsCXDocumentBuilder we like to use.
     * <p>
     * 
     * <pre>
     * STRUTSCXDOCUMENTBUILDER_ID =
     *         &quot;com.cappuccinonet.strutscx.strutscxdocumentbuilder_id&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String STRUTSCXDOCUMENTBUILDER_ID =
            "com.cappuccinonet.strutscx.strutscxdocumentbuilder_id";

    /**
     * The id of the StrutsCXTransformer we like to use.
     * <p>
     * 
     * <pre>
     * STRUTSCXTRANSFORMER_ID = &quot;com.cappuccinonet.strutscx.strutscxtransformer_id&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String STRUTSCXTRANSFORMER_ID =
            "com.cappuccinonet.strutscx.strutscxtransformer_id";

    /**
     * The properties file. This field is used in the ServletContext
     * and therefore need to follow the package naming convention.
     * <p>
     * 
     * <pre>
     * PROPERTIES = &quot;com.cappuccinonet.strutscx.properties&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String PROPERTIES =
            "com.cappuccinonet.strutscx.properties";

    /**
     * The ressource properties files. We add the language key to it
     * to save the ressource properties to the ServletContext.
     * <p>
     * 
     * <pre>
     * RESSOURCEPROPERTIES_FILES =
     *         &quot;com.cappuccinonet.strutscx.ressourceproperties_files&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String RESSOURCEPROPERTIES_FILES =
            "com.cappuccinonet.strutscx.ressourceproperties_files";

    /**
     * The name of the application this StrutsCX version is part of.
     * Use it to read it out of the ServletContext.
     * <p>
     * 
     * <pre>
     * PROJECTNAME = &quot;projectName&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String PROJECTNAME = "projectName";

    // /////////////////////////////////////////////////////////////
    // //
    // Parameters //
    // //
    // /////////////////////////////////////////////////////////////

    /**
     * The key you should use to point to a strutscx-definitions in
     * the strutscx-config.xml.
     * <p>
     * 
     * <pre>
     * XSL_KEY = &quot;xsl_key&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String XSL_KEY = "xsl_key";

    /**
     * A key you can use to set an XML File to the HttpServletRequest.
     * <p>
     * 
     * <pre>
     * XML_KEY = &quot;xml_key&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String XML_KEY = "xml_key";

    /**
     * The parameter to debug xml output.
     * <p>
     * 
     * <pre>
     * DEBUGXML_PARAM = &quot;debugxml&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String DEBUGXML_PARAM = "debugxml";

    /**
     * The language dependend variables file.
     * <p>
     * 
     * <pre>
     * ENCODING_KEY = &quot;encoding_key&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String ENCODING_KEY = "encoding_key";

    /**
     * The type of view we will use.
     * <p>
     * 
     * <pre>
     * XSL_CLIENTSIDE = &quot;xsl_clientside&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String XSL_CLIENTSIDE = "xsl_clientside";

    /**
     * The type of view we will use.
     * <p>
     * 
     * <pre>
     * ENABLE_DEBUGXML = &quot;enable_debugxml&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String ENABLE_DEBUGXML = "enable_debugxml";

    /**
     * The type of view we will use.
     * <p>
     * 
     * <pre>
     * ENABLE_FOP = &quot;enable_fop&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String ENABLE_FOP = "enable_fop";

    // /////////////////////////////////////////////////////////////
    // //
    // FOP Parameters //
    // //
    // /////////////////////////////////////////////////////////////

    /**
     * Used to read the FOP userconfig.xml from the ServletContext
     * 
     * <pre>
     * FOP_USERCONFIG_PARAM = &quot;fop_userconfig&quot;
     * </pre>
     */
    public static final String FOP_USERCONFIG_PARAM = "fop_userconfig";

    /**
     * Use it to dynamically change the FOP base directory.
     * 
     * <pre>
     * FOP_BASEDIR_PARAM = &quot;fop_basedir&quot;
     * </pre>
     */
    public static final String FOP_BASEDIR_PARAM = "fop_basedir";

    /**
     * <pre>
     * FOP_PARAM = &quot;fop&quot;
     * </pre>
     */
    public static final String FOP_PARAM = "fop";

    /**
     * <pre>
     * FOP_PDF_PARAM = &quot;foppdf&quot;
     * </pre>
     */
    public static final String FOP_PDF_PARAM = "foppdf";

    /**
     * <pre>
     * FOP_PRINT_PARAM = &quot;fopprint&quot;
     * </pre>
     */
    public static final String FOP_PRINT_PARAM = "fopprint";

    /**
     * <pre>
     * FOP_AWT_PARAM = &quot;fopawt&quot;
     * </pre>
     */
    public static final String FOP_AWT_PARAM = "fopawt";

    /**
     * <pre>
     * FOP_PCL_PARAM = &quot;foppcl&quot;
     * </pre>
     */
    public static final String FOP_PCL_PARAM = "foppcl";

    /**
     * <pre>
     * FOP_PS_PARAM = &quot;fopps&quot;
     * </pre>
     */
    public static final String FOP_PS_PARAM = "fopps";

    /**
     * <pre>
     * FOP_RTF_PARAM = &quot;foprtf&quot;
     * </pre>
     */
    public static final String FOP_RTF_PARAM = "foprtf";

    /**
     * <pre>
     * FOP_SVG_PARAM = &quot;fopsvg&quot;
     * </pre>
     */
    public static final String FOP_SVG_PARAM = "fopsvg";

    /**
     * <pre>
     * FOP_XML_PARAM = &quot;fopxml&quot;
     * </pre>
     */
    public static final String FOP_XML_PARAM = "fopxml";

    /**
     * <pre>
     * FOP_MIF_PARAM = &quot;fopmif&quot;
     * </pre>
     */
    public static final String FOP_MIF_PARAM = "fopmif";

    /**
     * <pre>
     * FOP_TXT_PARAM = &quot;foptxt&quot;
     * </pre>
     */
    public static final String FOP_TXT_PARAM = "foptxt";

    // /////////////////////////////////////////////////////////////
    // //
    // XML tagnames //
    // //
    // /////////////////////////////////////////////////////////////

    /**
     * The name of the root element used in the
     * StrutsCXDocumentBuilder.
     * <p>
     * 
     * <pre>
     * XML_ROOT = &quot;root&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String XML_ROOT = "root";

    /**
     * The name of the data element used in the
     * StrutsCXDocumentBuilder.
     * <p>
     * 
     * <pre>
     * XML_DATA = &quot;data&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String XML_DATA = "data";

    /**
     * The name of the actionform element used in the
     * StrutsCXDocumentBuilder.
     * <p>
     * 
     * <pre>
     * XML_ACTIONFORM = &quot;actionform&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String XML_ACTIONFORM = "actionform";

    /**
     * A name for the resource properties element used in the
     * StrutsCXDocumentBuilder.
     * <p>
     * 
     * <pre>
     * XML_RESOURCES_PROPERTIES = &quot;xml_resource_properties&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String XML_RESOURCESPROPERTIES = "resourcesproperties";

    /**
     * The name of the error element used in the
     * StrutsCXDocumentBuilder.
     * <p>
     * 
     * <pre>
     * XML_ERROR = &quot;error&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String XML_ACTIONERRORS = "errors";

    /**
     * The name of the request element used in the
     * StrutsCXDocumentBuilder.
     * <p>
     * 
     * <pre>
     * XML_REQUEST = &quot;request&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String XML_REQUEST = "request";

    /**
     * The name of the session element used in the
     * StrutsCXDocumentBuilder.
     * <p>
     * 
     * <pre>
     * XML_SESSION = &quot;session&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String XML_SESSION = "session";

    /**
     * The name of the session id element used in the
     * StrutsCXDocumentBuilder.
     * <p>
     * 
     * <pre>
     * XML_SESSION_ID = &quot;jsessionid&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String XML_SESSION_ID = "jsessionid";

    /**
     * The name of the locale element used in the
     * StrutsCXDocumentBuilder.
     * <p>
     * 
     * <pre>
     * XML_LOCALE = &quot;locale&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String XML_LOCALE = "locale";

    /**
     * The name of the language element used in the
     * StrutsCXDocumentBuilder.
     * <p>
     * 
     * <pre>
     * XML_LANGUAGE = &quot;language&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String XML_LANGUAGE = "language";

    /**
     * The name of the country element used in the
     * StrutsCXDocumentBuilder.
     * <p>
     * 
     * <pre>
     * XML_COUNTRY = &quot;country&quot;
     * </pre>
     * 
     * 
     * 
     * 
     * 
     * 
     * </p>
     */
    public static final String XML_COUNTRY = "country";

    // /////////////////////////////////////////////////////
    // Deprecated fellows
    // /////////////////////////////////////////////////////

    /**
     * <pre>
     * DOMAINPARAMS_FLAG = &quot;com.cappuccinonet.strutscx.domainparams_flag&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String DOMAINPARAMS_FLAG =
            "com.cappuccinonet.strutscx.domainparams_flag";

    /**
     * <pre>
     * DOMAIN = &quot;domain&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String DOMAIN = "domain";

    /**
     * <pre>
     * HTTP_DOMAIN_ADDRESS = &quot;httpDomain&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String HTTP_DOMAIN_ADDRESS = "httpDomain";

    /**
     * <pre>
     * PORT = &quot;port&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String PORT = "port";

    /**
     * <pre>
     * ROOTPATH = &quot;rootpath&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String ROOTPATH = "rootpath";

    /**
     * <pre>
     * DATE_TIME_TODAY = &quot;date_time_today&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String DATE_TIME_TODAY = "date_time_today";

    /**
     * <pre>
     * SESSION_FLAG = &quot;session_flag&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String SESSION_FLAG = "session_flag";

    /**
     * <pre>
     * LANGUAGE = &quot;language&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String LANGUAGE = "language";

    /**
     * <pre>
     * COUNTRY = &quot;country&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String COUNTRY = "country";

    /**
     * <pre>
     * XML_ENTRY_ID = &quot;entryId&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String XML_ENTRY_ID = "entryId";

    /**
     * <pre>
     * ACTION = &quot;action&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String ACTION = "action";

    /**
     * <pre>
     * WARN = &quot;WARN&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String WARN = "WARN";

    /**
     * <pre>
     * DELETE = &quot;DELETE&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String DELETE = "DELETE";

    /**
     * <pre>
     * FULLFILLED = &quot;FULLFILLED&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String FULLFILLED = "FULLFILLED";

    /**
     * <pre>
     * CREATE = &quot;CREATE&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String CREATE = "CREATE";

    /**
     * <pre>
     * UPDATE = &quot;UPDATE&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String UPDATE = "UPDATE";

    /**
     * <pre>
     * ADD = &quot;ADD&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String ADD = "ADD";

    /**
     * <pre>
     * EDIT = &quot;EDIT&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String EDIT = "EDIT";

    /**
     * <pre>
     * CURRENTFORM = &quot;currentForm&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String CURRENTFORM = "currentForm";

    /**
     * <pre>
     * XML_ERROR = &quot;errors&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String XML_ERROR = "errors";

    /**
     * <pre>
     * FORWARD_SUCCESS = &quot;success&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String FORWARD_SUCCESS = "success";

    /**
     * <pre>
     * FORWARD_ERROR = &quot;error&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String FORWARD_ERROR = "error";

    /**
     * <pre>
     * FORWARD_FILLED_FORM = &quot;viewFilledForm&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String FORWARD_FILLED_FORM = "viewFilledForm";

    /**
     * <pre>
     * FORWARD_EMPTY_FORM = &quot;viewEmptyForm&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String FORWARD_EMPTY_FORM = "viewEmptyForm";

    /**
     * <pre>
     * VERSION = &quot;version&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String VERSION = "version";

    /**
     * <pre>
     * DATE_TODAY = &quot;dateToday&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String DATE_TODAY = "dateToday";

    /**
     * <pre>
     * THIS_YEAR = &quot;thisYear&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String THIS_YEAR = "thisYear";

    /**
     * <pre>
     * LOCALE = &quot;locale&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String LOCALE = "locale";

    /**
     * <pre>
     * PERSIST_KEY = &quot;persisttype&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String PERSIST_KEY = "persisttype";

    /**
     * <pre>
     * VIEW_KEY = &quot;viewtype&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String VIEW_KEY = "viewtype";

    /**
     * <pre>
     * PROPERTIES_FLAG = &quot;com.cappuccinonet.strutscx.properties_flag&quot;
     * </pre>
     * 
     * @deprecated declare this yourself in a project specific
     *             constants file
     */
    public static final String PROPERTIES_FLAG =
            "com.cappuccinonet.strutscx.properties_flag";

    /**
     * <pre>
     * VARIABLES = &quot;variables&quot;
     * </pre>
     * 
     * @deprecated use XML_RESOURESPROPERTIES instead
     */
    public static final String VARIABLES = "variables";

    /**
     * <pre>
     * PS_ = &quot;fop&quot;
     * </pre>
     * 
     * @deprecated
     */
    public static final String PS_ = "fop";

}
