/*
 * Copyright ou  ou Copr. Ministre des Affaires Etrangres, Aubay
 * SA, (21/06/07)
 * 
 * Ce logiciel est un programme informatique servant de framework J2EE
 * bas sur les normes J2EE (DAO,JDBC,MVC de Struts) et les principes
 * multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
 * Il offre la possibilit de gnrer facilement des flux XML mtier
 * pour consulter ou mettre  jour des sources de donnes et
 * s'interfacer avec le client riche ACube. Ce logiciel est rgi par
 * la licence CeCILL soumise au droit franais et respectant les
 * principes de diffusion des logiciels libres. Vous pouvez utiliser,
 * modifier et/ou redistribuer ce programme sous les conditions de la
 * licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * 
 * En contrepartie de l'accessibilit au code source et des droits de
 * copie, de modification et de redistribution accords par cette
 * licence, il n'est offert aux utilisateurs qu'une garantie limite.
 * Pour les mmes raisons, seule une responsabilit restreinte pse
 * sur l'auteur du programme, le titulaire des droits patrimoniaux et
 * les concdants successifs.
 * 
 * A cet gard l'attention de l'utilisateur est attire sur les
 * risques associs au chargement,  l'utilisation,  la modification
 * et/ou au dveloppement et  la reproduction du logiciel par
 * l'utilisateur tant donn sa spcificit de logiciel libre, qui
 * peut le rendre complexe  manipuler et qui le rserve donc  des
 * dveloppeurs et des professionnels avertis possdant des
 * connaissances informatiques approfondies. Les utilisateurs sont
 * donc invits  charger et tester l'adquation du logiciel  leurs
 * besoins dans des conditions permettant d'assurer la scurit de
 * leurs systmes et ou de leurs donnes et, plus gnralement, 
 * l'utiliser et l'exploiter dans les mmes conditions de scurit.
 * 
 * Le fait que vous puissiez accder  cet en-tte signifie que vous
 * avez pris connaissance de la licence CeCILL, et que vous en avez
 * accept les termes.
 */

package acube.framework.action;

import java.io.Serializable;
import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;

import acube.framework.exception.AuthentificationException;
import acube.framework.exception.DAOException;
import acube.framework.exception.FileWrapperException;
import acube.framework.exception.FunctionalException;
import acube.framework.exception.JDBCWrapperException;
import acube.framework.exception.TechnicalException;
import acube.framework.technical.Constants;
import acube.framework.vo.ErrorVO;

/**
 * <p>
 * Generic class to send error.
 * </p>
 * <p>
 * The URL of this class must be called with the next parameters.
 * </p>
 * <ul>
 * <li>code - Error Code</li>
 * <li>paramLibelle - Error parameters</li>
 * <li>paramNota - Error notes</li>
 * <li>mailTo - boolean if a mail must be send to the administrator</li>
 * <li>faq - boolean if a faq is associate to this error</li>
 * <li>help - boolean if an help is associate to this error</li>
 * </ul>
 * 
 * @version 2.6.1
 * @memberof General
 */
public class ErrorAction extends BaseAction {

    /** {@inheritDoc} */
    protected String getActivite() {

        return "acube.erreurXML";
    }

    /** {@inheritDoc} */
    protected ArrayList<Serializable> getBeansActions(
            HttpServletRequest request) throws DAOException,
        AuthentificationException, FunctionalException, TechnicalException,
        JDBCWrapperException, FileWrapperException {

        String codeErreur = request.getParameter("code");
        String paramLibelle = request.getParameter("paramLibelle");
        String paramNota = request.getParameter("paramNota");
        boolean mailTo = Boolean.valueOf(request.getParameter("mailTo"));
        boolean faq = Boolean.valueOf(request.getParameter("faq"));
        boolean aide = Boolean.valueOf(request.getParameter("help"));

        ErrorVO errorVO = new ErrorVO(
                codeErreur, paramLibelle, paramNota, mailTo, faq, aide);

        throw new FunctionalException(
                errorVO);
    }

    /** {@inheritDoc} */
    protected int getTypeOfFlux() {

        return Constants.TYPE_FLUX_XML;
    }

}
