/*
 * Copyright ou  ou Copr. Ministre des Affaires Etrangres, Aubay
 * SA, (21/06/07)
 * 
 * Ce logiciel est un programme informatique servant de framework J2EE
 * bas sur les normes J2EE (DAO,JDBC,MVC de Struts) et les principes
 * multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
 * Il offre la possibilit de gnrer facilement des flux XML mtier
 * pour consulter ou mettre  jour des sources de donnes et
 * s'interfacer avec le client riche ACube. Ce logiciel est rgi par
 * la licence CeCILL soumise au droit franais et respectant les
 * principes de diffusion des logiciels libres. Vous pouvez utiliser,
 * modifier et/ou redistribuer ce programme sous les conditions de la
 * licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * 
 * En contrepartie de l'accessibilit au code source et des droits de
 * copie, de modification et de redistribution accords par cette
 * licence, il n'est offert aux utilisateurs qu'une garantie limite.
 * Pour les mmes raisons, seule une responsabilit restreinte pse
 * sur l'auteur du programme, le titulaire des droits patrimoniaux et
 * les concdants successifs.
 * 
 * A cet gard l'attention de l'utilisateur est attire sur les
 * risques associs au chargement,  l'utilisation,  la modification
 * et/ou au dveloppement et  la reproduction du logiciel par
 * l'utilisateur tant donn sa spcificit de logiciel libre, qui
 * peut le rendre complexe  manipuler et qui le rserve donc  des
 * dveloppeurs et des professionnels avertis possdant des
 * connaissances informatiques approfondies. Les utilisateurs sont
 * donc invits  charger et tester l'adquation du logiciel  leurs
 * besoins dans des conditions permettant d'assurer la scurit de
 * leurs systmes et ou de leurs donnes et, plus gnralement, 
 * l'utiliser et l'exploiter dans les mmes conditions de scurit.
 * 
 * Le fait que vous puissiez accder  cet en-tte signifie que vous
 * avez pris connaissance de la licence CeCILL, et que vous en avez
 * accept les termes.
 */

package acube.framework.clavierVirtuel.realm;

import org.apache.tomcat.util.digester.Digester;
import org.apache.tomcat.util.digester.Rule;
import org.apache.tomcat.util.digester.RuleSetBase;
import org.xml.sax.Attributes;

/**
 * <p>
 * <strong>RuleSet</strong> for recognizing the users defined in the
 * XML file processed by <code>MemoryRealm</code>.
 * </p>
 * 
 * @author Craig R. McClanahan
 * @version $Revision: 1.1 $ $Date: 2007-03-26 08:14:19 $
 */

public class MemoryRuleSet extends RuleSetBase {

    // ----------------------------------------------------- Instance
    // Variables

    /**
     * The matching pattern prefix to use for recognizing our
     * elements.
     */
    private String prefix = null;

    // ------------------------------------------------------------
    // Constructor

    /**
     * Construct an instance of this <code>RuleSet</code> with the
     * default matching pattern prefix.
     */
    public MemoryRuleSet() {

        this(
                "tomcat-users/");

    }

    /**
     * Construct an instance of this <code>RuleSet</code> with the
     * specified matching pattern prefix.
     * 
     * @param prefix
     *            Prefix for matching pattern rules (including the
     *            trailing slash character)
     */
    public MemoryRuleSet(
            String prefix) {

        super();
        this.namespaceURI = null;
        this.prefix = prefix;

    }

    // ---------------------------------------------------------
    // Public
    // Methods

    /**
     * <p>
     * Add the set of Rule instances defined in this RuleSet to the
     * specified <code>Digester</code> instance, associating them
     * with our namespace URI (if any). This method should only be
     * called by a Digester instance.
     * </p>
     * 
     * @param digester
     *            Digester instance to which the new Rule instances
     *            should be added.
     */
    public void addRuleInstances(
            Digester digester) {

        digester.addRule(
            this.prefix + "user", new MemoryUserRule());

    }

}

/**
 * Private class used when parsing the XML database file.
 */
final class MemoryUserRule extends Rule {

    /**
     * Construct a new instance of this <code>Rule</code>.
     */
    public MemoryUserRule() {

    }

    /** {@inheritDoc} */
    public void begin(
            String namespace, String name, Attributes attributes)
        throws Exception {

        String username = attributes.getValue("NAME");
        if (username == null) {
            username = attributes.getValue("username");
        }
        String password = attributes.getValue("password");
        String roles = attributes.getValue("roles");

        MemoryRealm realm =
                (MemoryRealm) digester.peek(digester.getCount() - 1);
        realm.addUser(
            username, password, roles);

    }

}
