/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA, (21/06/07)

Ce logiciel est un programme informatique servant de framework J2EE bas sur les normes J2EE
(DAO,JDBC,MVC de Struts) et les principes multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
Il offre la possibilit de gnrer facilement des flux XML mtier pour consulter ou mettre  jour des sources
de donnes et s'interfacer avec le client riche ACube.
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et respectant les principes de diffusion
des logiciels libres. Vous pouvez utiliser, modifier et/ou redistribuer ce programme sous les conditions de
la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie, de modification et de redistribution
accords par cette licence, il n'est offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le titulaire des droits patrimoniaux et
les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques associs au chargement,   l'utilisation,
 la modification et/ou au dveloppement et  la reproduction du logiciel par l'utilisateur tant donn sa
spcificit de logiciel libre, qui peut le rendre complexe  manipuler et qui le rserve donc  des dveloppeurs
et des professionnels avertis possdant  des  connaissances informatiques approfondies.  Les utilisateurs sont
donc invits  charger  et  tester  l'adquation  du logiciel  leurs besoins dans des conditions permettant
d'assurer la scurit de leurs systmes et ou de leurs donnes et, plus gnralement,  l'utiliser et
l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez pris connaissance de la licence CeCILL,
et que vous en avez accept les termes.
*/

package acube.framework.exception;

import java.io.PrintStream;
import java.io.PrintWriter;
import java.rmi.RemoteException;

/**
 * Classe de base de toutes les Exceptions du projet MAE.
 * 
 * @version 1.0 
 * @memberof JDBCWrapper
 */
public class JDBCWrapperException extends RemoteException {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * Exception originale ayant ventuellement provoqu la cration de cette
	 * JDBCWrapperException.
	 */
	protected Throwable m_OriginalException;
	/**
	 * Cre une JDBCWrapperException en spcifiant le dtail du 
	 * message d'erreur.
	 * 
	 * @param message 		Le dtail du message de l'exception.
	 */
	public JDBCWrapperException(String message) {
		super(message);
	}
	/**
	 * Cre une JDBCWrapperException en spcifiant le dtail 
	 * du message d'erreur et l'exception associe.
	 * 
	 * @param message 		Le dtail du message de l'exception.
	 * @param exception		Exception ayant provoqu la leve de cette JDBCWrapperException.
	 */

	public JDBCWrapperException(String message, Throwable exception) {
		super(message);
		m_OriginalException = exception;
	}
	/**
	 * Accesseur en criture de l'attribut <code>m_OriginalException</code>.
	 *
	 * @return Throwable	Exception originale ayant ventuellement provoqu la cration de cette
	 * 						JDBCWrapperException.
	 */

	public Throwable getOriginalException() {
		return m_OriginalException;
	}
	/**
	 * Affiche le stack trace (y compris celui de l'exception originale) 
	 * sur le flux de sortie d'erreur standard.
	 */

	public void printStackTrace() {
		super.printStackTrace();
		if (m_OriginalException != null) {
			m_OriginalException.printStackTrace();
		}
	}
	/**
	 * Affiche le stack trace (y compris celui de l'exception originale)
	 * sur le flux d'impression spcifi.
	 *
	 * @param ps	stream dans lequel afficher le stack trace.
	 */

	public void printStackTrace(PrintStream ps) {
		super.printStackTrace(ps);
		if (m_OriginalException != null) {
			m_OriginalException.printStackTrace(ps);
		}
	}
	/**
	 * Affiche le stack trace (y compris celui de l'exception originale)
	 * sur le flux d'impression spcifi.
	 *
	 * @param pw stream dans lequel afficher le stack trace.
	 */

	public void printStackTrace(PrintWriter pw) {
		super.printStackTrace(pw);
		if (m_OriginalException != null) {
			m_OriginalException.printStackTrace(pw);
		}
	}
}
