/*
 * Copyright ou  ou Copr. Ministre des Affaires Etrangres, Aubay
 * SA, (21/06/07)
 * 
 * Ce logiciel est un programme informatique servant de framework J2EE
 * bas sur les normes J2EE (DAO,JDBC,MVC de Struts) et les principes
 * multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
 * Il offre la possibilit de gnrer facilement des flux XML mtier
 * pour consulter ou mettre  jour des sources de donnes et
 * s'interfacer avec le client riche ACube. Ce logiciel est rgi par
 * la licence CeCILL soumise au droit franais et respectant les
 * principes de diffusion des logiciels libres. Vous pouvez utiliser,
 * modifier et/ou redistribuer ce programme sous les conditions de la
 * licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * 
 * En contrepartie de l'accessibilit au code source et des droits de
 * copie, de modification et de redistribution accords par cette
 * licence, il n'est offert aux utilisateurs qu'une garantie limite.
 * Pour les mmes raisons, seule une responsabilit restreinte pse
 * sur l'auteur du programme, le titulaire des droits patrimoniaux et
 * les concdants successifs.
 * 
 * A cet gard l'attention de l'utilisateur est attire sur les
 * risques associs au chargement,  l'utilisation,  la modification
 * et/ou au dveloppement et  la reproduction du logiciel par
 * l'utilisateur tant donn sa spcificit de logiciel libre, qui
 * peut le rendre complexe  manipuler et qui le rserve donc  des
 * dveloppeurs et des professionnels avertis possdant des
 * connaissances informatiques approfondies. Les utilisateurs sont
 * donc invits  charger et tester l'adquation du logiciel  leurs
 * besoins dans des conditions permettant d'assurer la scurit de
 * leurs systmes et ou de leurs donnes et, plus gnralement, 
 * l'utiliser et l'exploiter dans les mmes conditions de scurit.
 * 
 * Le fait que vous puissiez accder  cet en-tte signifie que vous
 * avez pris connaissance de la licence CeCILL, et que vous en avez
 * accept les termes.
 */
package acube.framework.export.struts2;

import java.util.Date;
import java.util.Map;

import org.apache.struts2.interceptor.ParameterAware;
import org.apache.struts2.interceptor.PrincipalAware;
import org.apache.struts2.interceptor.PrincipalProxy;

import acube.framework.export.vo.presentation.TableVO;

import com.opensymphony.xwork2.ActionSupport;

/**
 * <p>
 * This class is use to export table into Excel format
 * </p>
 * 
 */
public class ExcelExportAction extends ActionSupport
    implements ParameterAware, PrincipalAware {

    /**
     * Params
     */
    Map<String, String[]> params;

    /**
     * Proxy principal
     */
    PrincipalProxy principalProxy;

    /**
     * Table
     */
    TableVO table;


    public void setParameters(
            Map params) {
        this.params = params;
    }
    
    public void setPrincipalProxy(
            PrincipalProxy principalProxy) {
        this.principalProxy = principalProxy;
    }

    @Override
    public String execute() throws Exception {

        String title = params.get("title")[0];
        Integer nbColumns = new Integer(
            params.get("nbColumns")[0]);

        this.table = new TableVO();
        table.setAuthor(principalProxy.getRemoteUser());
        table.setDate(new Date());
        table.setTitle(title);
        table.setNbColumns(nbColumns);

        // we add lines
        table.getRows().addAll(
            Export.generateRows(params));

        return SUCCESS;
    }

    
    public TableVO getTable() {
    
        return this.table;
    }

    
    public void setTable(
            TableVO table) {
    
        this.table = table;
    }
}
