/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA, (21/06/07)

Ce logiciel est un programme informatique servant de framework J2EE bas sur les normes J2EE
(DAO,JDBC,MVC de Struts) et les principes multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
Il offre la possibilit de gnrer facilement des flux XML mtier pour consulter ou mettre  jour des sources
de donnes et s'interfacer avec le client riche ACube.
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et respectant les principes de diffusion
des logiciels libres. Vous pouvez utiliser, modifier et/ou redistribuer ce programme sous les conditions de
la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie, de modification et de redistribution
accords par cette licence, il n'est offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le titulaire des droits patrimoniaux et
les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques associs au chargement,   l'utilisation,
 la modification et/ou au dveloppement et  la reproduction du logiciel par l'utilisateur tant donn sa
spcificit de logiciel libre, qui peut le rendre complexe  manipuler et qui le rserve donc  des dveloppeurs
et des professionnels avertis possdant  des  connaissances informatiques approfondies.  Les utilisateurs sont
donc invits  charger  et  tester  l'adquation  du logiciel  leurs besoins dans des conditions permettant
d'assurer la scurit de leurs systmes et ou de leurs donnes et, plus gnralement,  l'utiliser et
l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez pris connaissance de la licence CeCILL,
et que vous en avez accept les termes.
*/

package acube.framework.technical;

import java.util.*;

/**
 * Classe statique grant les managers de configuration (objets Configuration)
 * 
 * @version 2.0
 * @see Configuration
 * @memberof General
 */
public class ConfigurationManager {
	/**
	 * Liste des objets <code>Configuration</code> en cache. La cl de la hashtable est le nom du fichier de proprits.
	 */
	static private Hashtable<String,Configuration> m_Instance = new Hashtable<String,Configuration>();

	/**
	 * Rcuprant l'instance du manager de configuration (objet Configuration) pour le fichier de config demand
	 * s'il est inexistant, en cre une.
	 *
	 * @param nomConfig 	l'identifiant du fichier de configuration que l'on veut 
	 *						lire (alias du fichier sans l'extension ".properties")
	 * @return	 			l'objet Configuration grant le fichier de configuration pass en paramtre
	 */
	public static Configuration getInstance(String nomConfig) {

		if (m_Instance.get(nomConfig) == null) {

			synchronized (m_Instance) {
				if (m_Instance.get(nomConfig) == null) {
					m_Instance.put(nomConfig, new Configuration(nomConfig));
				}
			}

		}

		return (Configuration) m_Instance.get(nomConfig);
	}
}
