/*
 * Copyright ou  ou Copr. Ministre des Affaires Etrangres, Aubay
 * SA, (21/06/07)
 * 
 * Ce logiciel est un programme informatique servant de framework J2EE
 * bas sur les normes J2EE (DAO,JDBC,MVC de Struts) et les principes
 * multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
 * Il offre la possibilit de gnrer facilement des flux XML mtier
 * pour consulter ou mettre  jour des sources de donnes et
 * s'interfacer avec le client riche ACube. Ce logiciel est rgi par
 * la licence CeCILL soumise au droit franais et respectant les
 * principes de diffusion des logiciels libres. Vous pouvez utiliser,
 * modifier et/ou redistribuer ce programme sous les conditions de la
 * licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * 
 * En contrepartie de l'accessibilit au code source et des droits de
 * copie, de modification et de redistribution accords par cette
 * licence, il n'est offert aux utilisateurs qu'une garantie limite.
 * Pour les mmes raisons, seule une responsabilit restreinte pse
 * sur l'auteur du programme, le titulaire des droits patrimoniaux et
 * les concdants successifs.
 * 
 * A cet gard l'attention de l'utilisateur est attire sur les
 * risques associs au chargement,  l'utilisation,  la modification
 * et/ou au dveloppement et  la reproduction du logiciel par
 * l'utilisateur tant donn sa spcificit de logiciel libre, qui
 * peut le rendre complexe  manipuler et qui le rserve donc  des
 * dveloppeurs et des professionnels avertis possdant des
 * connaissances informatiques approfondies. Les utilisateurs sont
 * donc invits  charger et tester l'adquation du logiciel  leurs
 * besoins dans des conditions permettant d'assurer la scurit de
 * leurs systmes et ou de leurs donnes et, plus gnralement, 
 * l'utiliser et l'exploiter dans les mmes conditions de scurit.
 * 
 * Le fait que vous puissiez accder  cet en-tte signifie que vous
 * avez pris connaissance de la licence CeCILL, et que vous en avez
 * accept les termes.
 */

package acube.framework.technical;

import java.util.HashMap;
import java.util.Vector;

/**
 * La classe ParametresLibelle permet de stocker une liste de couple
 * "identifiant de paramtre" / "valeur de ce paramtre". Ces
 * paramtres sont ensuite utiliss par la classe Libelle
 * 
 * @version 2.0
 * @see Label
 * @memberof General
 */
public class LabelManager {

    /**
     * <code>parameters</code> map contenant les diffrents
     * paramtres
     */
    private HashMap<String, String> parameters;

    /**
     * Constructeur simple
     */
    public LabelManager() {

        this.parameters = new HashMap<String, String>();
    }

    /**
     * ajout des paramtres, sous la forme cl - valeur
     * 
     * @param cle
     *            String cl de ce paramtre (telle que dfinit dans
     *            le fichier proprits correspondant
     * @param valeur
     *            String valeur de ce paramtre
     */
    public void addParameter(
            String cle, String valeur) {

        this.parameters.put(cle, valeur);
    }

    /**
     * recupration de la liste des cls de la hashmap paramtres
     * 
     * @return Vector liste des cls de paramtres
     */
    public Vector<String> getParameterKeys() {

        return new Vector<String>(this.parameters.keySet());
    }

    /**
     * rcupration de la valeur d'un paramtre, en fonction de sa cl
     * 
     * @param cle
     *            String cl du paramtre  retourner
     * @return String valeur du paramtre correspondant  la cl
     */
    public String getParameterValue(
            String cle) {

        return (String) this.parameters.get(cle);
    }

}
