/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA, (21/06/07)

Ce logiciel est un programme informatique servant de framework J2EE bas sur les normes J2EE
(DAO,JDBC,MVC de Struts) et les principes multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
Il offre la possibilit de gnrer facilement des flux XML mtier pour consulter ou mettre  jour des sources
de donnes et s'interfacer avec le client riche ACube.
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et respectant les principes de diffusion
des logiciels libres. Vous pouvez utiliser, modifier et/ou redistribuer ce programme sous les conditions de
la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie, de modification et de redistribution
accords par cette licence, il n'est offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le titulaire des droits patrimoniaux et
les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques associs au chargement,   l'utilisation,
 la modification et/ou au dveloppement et  la reproduction du logiciel par l'utilisateur tant donn sa
spcificit de logiciel libre, qui peut le rendre complexe  manipuler et qui le rserve donc  des dveloppeurs
et des professionnels avertis possdant  des  connaissances informatiques approfondies.  Les utilisateurs sont
donc invits  charger  et  tester  l'adquation  du logiciel  leurs besoins dans des conditions permettant
d'assurer la scurit de leurs systmes et ou de leurs donnes et, plus gnralement,  l'utiliser et
l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez pris connaissance de la licence CeCILL,
et que vous en avez accept les termes.
*/

package acube.framework.technical.jdbc;

import java.sql.Types;
import java.util.Hashtable;

import acube.framework.exception.JDBCWrapperException;

/**
 * Objet dcrivant un objet Null a passer  l'execute.
 * Le type de l'objet pourra prendre une des valeurs de la classe Types.
 * 
 * @version 2.5
 * @see JDBCWrapper
 * @memberof JDBCWrapper
 */
public class ObjectNull {
	
	private Integer type = 0;
	private static Hashtable <String,Object>hTypes=null;
	
	/**
	 * Constructeur par dfaut
	 *
	 */
	public ObjectNull(){
		setAllValues();
		this.type = new Integer(Types.VARCHAR);
	}	
	
	/**
	 * Constructeur avec un type de donne donn en int
	 * @param type
	 */
	public ObjectNull(int type) throws JDBCWrapperException {
		setAllValues();
		
		setType(type);
	}
	
	/**
	 * Constructeur avec un type de donne donn en String
	 * @param type
	 */
	public ObjectNull(String type) throws JDBCWrapperException {
		setAllValues();
		
		setType(type);
	}
	
	
	/**
	 * Retourne le type
	 * @return
	 */
	public int getType() {
		return type.intValue();
	}

	public void setType(int type) throws JDBCWrapperException {
		if ( hTypes.containsValue(new Integer(type)))
		  this.type = new Integer(type);
		else
			throw new JDBCWrapperException(
			"Erreur.JDBCWrapper.ObjectNull : Type int inconnu sur un paramtre NULL");
	}
	
	public void setType(String type)  throws JDBCWrapperException {
		this.type = (Integer)hTypes.get(type);
		if (this.type==null)
			throw new JDBCWrapperException(
			"Erreur.JDBCWrapper.ObjectNull : Type String inconnu sur un paramtre NULL");
	}
	
	public static Hashtable<String,Object> getAllValues(){
		setAllValues();
		return hTypes;
	}
	
	/**
	 * Rcupre toutes les proprits (static) de la class Types.
	 *
	 */
	private static synchronized void setAllValues(){
		
		if ( hTypes != null)
			return;
		
		hTypes = new java.util.Hashtable<String,Object>();
		hTypes.put("java.lang.String", new Integer(Types.VARCHAR));
		hTypes.put("java.lang.Integer", new Integer(Types.INTEGER));
		hTypes.put("java.lang.Long", new Integer(Types.NUMERIC));
		hTypes.put("java.lang.Double", new Integer(Types.DOUBLE));
		hTypes.put("java.util.Date", new Integer(Types.TIMESTAMP));
		hTypes.put("java.sql.Time", new Integer(Types.TIME));
		hTypes.put("java.sql.Timestamp", new Integer(Types.TIMESTAMP));
		hTypes.put("java.io.ByteArrayOutputStream",
				new Integer(Types.VARBINARY));
		hTypes.put("java.lang.Boolean", new Integer(Types.BOOLEAN));
		hTypes.put("java.math.BigDecimal", new Integer(Types.DECIMAL));
		hTypes.put("java.lang.Float", new Integer(Types.FLOAT));
		hTypes.put("java.lang.Short", new Integer(Types.SMALLINT));	
	}
}
