/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA, (21/06/07)

Ce logiciel est un programme informatique servant de framework J2EE bas sur les normes J2EE
(DAO,JDBC,MVC de Struts) et les principes multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
Il offre la possibilit de gnrer facilement des flux XML mtier pour consulter ou mettre  jour des sources
de donnes et s'interfacer avec le client riche ACube.
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et respectant les principes de diffusion
des logiciels libres. Vous pouvez utiliser, modifier et/ou redistribuer ce programme sous les conditions de
la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie, de modification et de redistribution
accords par cette licence, il n'est offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le titulaire des droits patrimoniaux et
les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques associs au chargement,   l'utilisation,
 la modification et/ou au dveloppement et  la reproduction du logiciel par l'utilisateur tant donn sa
spcificit de logiciel libre, qui peut le rendre complexe  manipuler et qui le rserve donc  des dveloppeurs
et des professionnels avertis possdant  des  connaissances informatiques approfondies.  Les utilisateurs sont
donc invits  charger  et  tester  l'adquation  du logiciel  leurs besoins dans des conditions permettant
d'assurer la scurit de leurs systmes et ou de leurs donnes et, plus gnralement,  l'utiliser et
l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez pris connaissance de la licence CeCILL,
et que vous en avez accept les termes.
*/

package acube.framework.technical.jdbc;

/**
 * Objet dcrivant les paramtres passs  une procedure stocke.
 * 
 * @version 1.0
 * @see JDBCWrapper
 * @memberof JDBCWrapper
 */
public class ProcedureParameter {
	
	private Object param = null;
	
	/**
	 * Type de paramtre
	 */
	private int type = -1;
	
	public static final int TYPE_IN = 0;
	public static final int TYPE_OUT = 1;
	public static final int TYPE_IN_OUT = 2;
		
	/**
	 * Type d'objet SQL
	 */
	private int typeSQL = -1;

	public static final int TYPE_SQL_STANDARD = 0;
	public static final int TYPE_SQL_CURSOR = 1;
	public static final int TYPE_SQL_STRUCT = 2;
	/**
	 * Liste de STRUCT
	 */
	public static final int TYPE_SQL_COLLECTION = 3;
	
	/**
	 * Nom de la structure 
	 */
	private String structName = null;
	/**
	 * Nom de la class 
	 */
	private String className = null;
		
	/**
	 * @param param Paramtre de la procdure stocke
	 * @param type type de paramtre
	 * <ul>
	 * 	<li> TYPE_IN
	 *  <li> TYPE_OUT
	 *  <li> TYPE_IN_OUT
	 * </ul>
	 * @param typeSQL d'objet SQL
	 * <ul>
	 * 	<li> TYPE_SQL_STANDARD
	 *  <li> TYPE_SQL_CURSOR
	 *  <li> TYPE_SQL_STRUCT
	 *  <li> TYPE_SQL_COLLECTION
	 * </ul>
	 * @param structName Nom de la structure
	 * @param className Nom de la class
	 */
	public ProcedureParameter(Object param, int type, int typeSQL, String structName,
			String className) {
		this.param = param;
		this.type = type;
		this.typeSQL = typeSQL;
		this.structName = structName;
		this.className = className;
	}
	
	/**
	 * @return Renvoie  la nom de la class className sous forme de String.
	 */
	public String getClassName() {
		return className;
	}
	/**
	 * @param className Dfinit le nom de la class.
	 */
	public void setClassName(String className) {
		this.className = className;
	}
	/**
	 * @return retourne l'objet param sour forme d'Objet.
	 */
	public Object getParam() {
		return param;
	}
	/**
	 * @param param Stock l'objet paramtre.
	 */
	public void setParam(Object param) {
		this.param = param;
	}
	/**
	 * @return Renvoie le nom de la structure sous forme de String.
	 */
	public String getStructName() {
		return structName;
	}
	/**
	 * @param structName structName  dfinir.
	 */
	public void setStructName(String structName) {
		this.structName = structName;
	}
	/**
	 * @return Renvoie du type de paramtre.
	 */
	public int getType() {
		return type;
	}
	/**
	 * @param type dfinition du type de paramtre.
	 */
	public void setType(int type) {
		this.type = type;
	}
	/**
	 * @return Renvoie typeSQL reprsentant le type d'objet SQL.
	 */
	public int getTypeSQL() {
		return typeSQL;
	}
	/**
	 * @param typeSQL dfinit typeSQL qui est le type d'objet SQL.
	 */
	public void setTypeSQL(int typeSQL) {
		this.typeSQL = typeSQL;
	}
}
