/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA, (21/06/07)

Ce logiciel est un programme informatique servant de framework J2EE bas sur les normes J2EE
(DAO,JDBC,MVC de Struts) et les principes multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
Il offre la possibilit de gnrer facilement des flux XML mtier pour consulter ou mettre  jour des sources
de donnes et s'interfacer avec le client riche ACube.
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et respectant les principes de diffusion
des logiciels libres. Vous pouvez utiliser, modifier et/ou redistribuer ce programme sous les conditions de
la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie, de modification et de redistribution
accords par cette licence, il n'est offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le titulaire des droits patrimoniaux et
les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques associs au chargement,   l'utilisation,
 la modification et/ou au dveloppement et  la reproduction du logiciel par l'utilisateur tant donn sa
spcificit de logiciel libre, qui peut le rendre complexe  manipuler et qui le rserve donc  des dveloppeurs
et des professionnels avertis possdant  des  connaissances informatiques approfondies.  Les utilisateurs sont
donc invits  charger  et  tester  l'adquation  du logiciel  leurs besoins dans des conditions permettant
d'assurer la scurit de leurs systmes et ou de leurs donnes et, plus gnralement,  l'utiliser et
l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez pris connaissance de la licence CeCILL,
et que vous en avez accept les termes.
*/

package acube.framework.technical.log.level;

import org.apache.log4j.Level;

/** 
 * Classe permettant de dfinir un nouveau niveau de trace "PERF"
 * 
 * @version 1.0
 * @memberof General
 */
public class Performance extends Level {
    
    /** <code>TWO</code> le chiffre 2 */
    public static final int TWO = 2;
    /** <code>SHIFT_LEVEL</code> entier reprsentant le niveau de dcalage 
     *  partir du niveau INFO pour dfinir le niveau PERF: entre
     * le niveau DEBUG et INFO */
    static public final int SHIFT_LEVEL = 
                Math.round((float) (Level.INFO_INT - Level.DEBUG_INT) / TWO);
    
    /** <code>TRACE_INT</code> entier reprsentant le niveau de la nouvelle trace
     *    => en dessous de INFO */
    static public final int TRACE_INT = Level.INFO_INT - SHIFT_LEVEL;

    /** <code>TRACE_STR</code> String reprsentant la nouvelle trace */
    private static String TRACE_STR = "PERF";
    
    /** <code>TRACE</code> */
    public static final Performance TRACE = new Performance(TRACE_INT, TRACE_STR, 7);
    
    
    /**
     * Constructeur pour cette trace
     * 
     * @param level int niveau de la trace, au format entier
     * @param strLevel String niveau de la trace, au format String
     * @param syslogEquiv int
     */
    protected Performance(int level, String strLevel, int syslogEquiv) {
        super(level, strLevel, syslogEquiv);
    }
    
    /**
    * Convert the String argument to a level. If the conversion
    * fails then this method returns {@link #TRACE}.
    * @see org.apache.log4j.Level#toLevel(java.lang.String)
    */
    public static Level toLevel(String sArg) {
        return (Level) toLevel(sArg, Performance.TRACE);
    }
    
    
    /**
    * Convert the String argument to a level. If the conversion
    * fails, return the level specified by the second argument,
    * i.e. defaultValue.
    * @see org.apache.log4j.Level#toLevel(java.lang.String, org.apache.log4j.Level)
    */
    public static Level toLevel(String sArg, Level defaultValue) {
        
        // variable retour
        Level retour = null;

        if (sArg == null) {
            retour = defaultValue;
        } else {

            String stringVal = sArg.toUpperCase();
            
            if (stringVal.equals(TRACE_STR)) {
                retour = Performance.TRACE;
            } else {
            
                retour = Level.toLevel(sArg, (Level) defaultValue);
            }            
        }
        
        return retour;
    }
    
    
    /**
    * Convert an integer passed as argument to a level. If the
    * conversion fails, then this method returns {@link #DEBUG}.
    * @see org.apache.log4j.Level#toLevel(int)
    * */
    public static Level toLevel(int i)
        throws IllegalArgumentException {
        
        // variable retour
        Level retour = null;
        
        if (i == TRACE_INT) {
            retour = Performance.TRACE;
        } else {
            retour = Level.toLevel(i);
        }
        
        return retour;
    }
}
