/*
Copyright ou  ou Copr. 
Ministre des Affaires Etrangres,
Aubay SA, (21/06/07)

Ce logiciel est un programme informatique servant de framework J2EE bas sur les normes J2EE
(DAO,JDBC,MVC de Struts) et les principes multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
Il offre la possibilit de gnrer facilement des flux XML mtier pour consulter ou mettre  jour des sources
de donnes et s'interfacer avec le client riche ACube.
Ce logiciel est rgi par la licence CeCILL soumise au droit franais et respectant les principes de diffusion
des logiciels libres. Vous pouvez utiliser, modifier et/ou redistribuer ce programme sous les conditions de
la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA sur le site "http://www.cecill.info".

En contrepartie de l'accessibilit au code source et des droits de copie, de modification et de redistribution
accords par cette licence, il n'est offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
seule une responsabilit restreinte pse sur l'auteur du programme,  le titulaire des droits patrimoniaux et
les concdants successifs.

A cet gard  l'attention de l'utilisateur est attire sur les risques associs au chargement,   l'utilisation,
 la modification et/ou au dveloppement et  la reproduction du logiciel par l'utilisateur tant donn sa
spcificit de logiciel libre, qui peut le rendre complexe  manipuler et qui le rserve donc  des dveloppeurs
et des professionnels avertis possdant  des  connaissances informatiques approfondies.  Les utilisateurs sont
donc invits  charger  et  tester  l'adquation  du logiciel  leurs besoins dans des conditions permettant
d'assurer la scurit de leurs systmes et ou de leurs donnes et, plus gnralement,  l'utiliser et
l'exploiter dans les mmes conditions de scurit. 

Le fait que vous puissiez accder  cet en-tte signifie que vous avez pris connaissance de la licence CeCILL,
et que vous en avez accept les termes.
*/

package acube.framework.vo;

import java.io.Serializable;

/**
 * VO de prsentation pour un flux XML indiquant le succes d'une action
 * 
 * @version 1.0 
 * @memberof General
 */ 
public class SuccesVO implements Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
     * <code>action</code>: contiendra le nom de la classe action
     */
    private String action;

    /**
     * <code>value</code>: toujours 'TRUE' signifiant que l'action s'est bien deroulee
     */
    private String value = "TRUE";

    /**
     * Le constructeur de la class SuccesVO
     */
    public SuccesVO() {
        super();
    }

    /**
     * Le constructeur de la class DemandeVO avec paramtres
     * @param action String nom de l'action appelante 
     */
    public SuccesVO(String action) {
        super();
        this.setAction(action);
    }

    /**
     * getter du champ action
     * @return String
     */
    public String getAction() {
        return action;
    }

    /**
     * setter pour le champ action
     * @param action String
     */
    public void setAction(String action) {
        this.action = action;
    }

    /**
     * getter du champ value
     * @return String
     */
    public String getValue() {
        return value;
    }

    /**
     * renvoie l'objet sous forme d'une String
     * @return String
     */
    public String toString() {
        return "[ action = " + getAction() + ", value = " + getValue() + " ]";
    }

}