/*
 * Copyright ou  ou Copr. EDS, (26/06/08)
 * 
 * Ce logiciel est un programme informatique servant de framework J2EE
 * bas sur les normes J2EE (DAO,JDBC,MVC de Struts) et les principes
 * multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
 * Il offre la possibilit de gnrer facilement des flux XML mtier
 * pour consulter ou mettre  jour des sources de donnes et
 * s'interfacer avec le client riche ACube. Ce logiciel est rgi par
 * la licence CeCILL soumise au droit franais et respectant les
 * principes de diffusion des logiciels libres. Vous pouvez utiliser,
 * modifier et/ou redistribuer ce programme sous les conditions de la
 * licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * 
 * En contrepartie de l'accessibilit au code source et des droits de
 * copie, de modification et de redistribution accords par cette
 * licence, il n'est offert aux utilisateurs qu'une garantie limite.
 * Pour les mmes raisons, seule une responsabilit restreinte pse
 * sur l'auteur du programme, le titulaire des droits patrimoniaux et
 * les concdants successifs.
 * 
 * A cet gard l'attention de l'utilisateur est attire sur les
 * risques associs au chargement,  l'utilisation,  la modification
 * et/ou au dveloppement et  la reproduction du logiciel par
 * l'utilisateur tant donn sa spcificit de logiciel libre, qui
 * peut le rendre complexe  manipuler et qui le rserve donc  des
 * dveloppeurs et des professionnels avertis possdant des
 * connaissances informatiques approfondies. Les utilisateurs sont
 * donc invits  charger et tester l'adquation du logiciel  leurs
 * besoins dans des conditions permettant d'assurer la scurit de
 * leurs systmes et ou de leurs donnes et, plus gnralement, 
 * l'utiliser et l'exploiter dans les mmes conditions de scurit.
 * 
 * Le fait que vous puissiez accder  cet en-tte signifie que vous
 * avez pris connaissance de la licence CeCILL, et que vous en avez
 * accept les termes.
 */

package acube.framework.webcomp.action;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Map;

import org.w3c.dom.Node;

/**
 * Bean Container to map StrutsCX request tree with Struts2
 * XSLTResult.
 */
public class BaseActionData implements Serializable {

    /**
     * <code>serialVersionUID</code> the serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * <code>data</code> the data return by the action
     */
    private ArrayList<Serializable> data = new ArrayList<Serializable>();

    /**
     * <code>resourcesproperties</code> content of the
     * resourcesproperties node
     */
    private Node resourcesproperties;

    /**
     * <code>session</code> content of the session node
     */
    private Map<String, Object> session;

    /**
     * Getter of the data
     * 
     * @return Returns the data.
     */
    public ArrayList<Serializable> getData() {

        return this.data;
    }

    /**
     * Setter of the data
     * 
     * @param data
     *            The data to set.
     */
    public void setData(
            ArrayList<Serializable> data) {

        this.data = data;
    }

    /**
     * Getter of the resourcesproperties
     * 
     * @return Returns the resourcesproperties.
     */
    public Node getResourcesproperties() {

        return this.resourcesproperties;
    }

    /**
     * Setter of the resourcesproperties
     * 
     * @param resourcesproperties
     *            The resourcesproperties to set.
     */
    public void setResourcesproperties(
            Node resourcesproperties) {

        this.resourcesproperties = resourcesproperties;
    }

    /**
     * Getter of the session
     * 
     * @return Returns the session.
     */
    public Map<String, Object> getSession() {

        return this.session;
    }

    /**
     * Setter of the session
     * 
     * @param session
     *            The session to set.
     */
    public void setSession(
            Map<String, Object> session) {

        this.session = session;
    }
}
