/*
 * Copyright ou  ou Copr. EDS, (26/06/08)
 * 
 * Ce logiciel est un programme informatique servant de framework J2EE
 * bas sur les normes J2EE (DAO,JDBC,MVC de Struts) et les principes
 * multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
 * Il offre la possibilit de gnrer facilement des flux XML mtier
 * pour consulter ou mettre  jour des sources de donnes et
 * s'interfacer avec le client riche ACube. Ce logiciel est rgi par
 * la licence CeCILL soumise au droit franais et respectant les
 * principes de diffusion des logiciels libres. Vous pouvez utiliser,
 * modifier et/ou redistribuer ce programme sous les conditions de la
 * licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * 
 * En contrepartie de l'accessibilit au code source et des droits de
 * copie, de modification et de redistribution accords par cette
 * licence, il n'est offert aux utilisateurs qu'une garantie limite.
 * Pour les mmes raisons, seule une responsabilit restreinte pse
 * sur l'auteur du programme, le titulaire des droits patrimoniaux et
 * les concdants successifs.
 * 
 * A cet gard l'attention de l'utilisateur est attire sur les
 * risques associs au chargement,  l'utilisation,  la modification
 * et/ou au dveloppement et  la reproduction du logiciel par
 * l'utilisateur tant donn sa spcificit de logiciel libre, qui
 * peut le rendre complexe  manipuler et qui le rserve donc  des
 * dveloppeurs et des professionnels avertis possdant des
 * connaissances informatiques approfondies. Les utilisateurs sont
 * donc invits  charger et tester l'adquation du logiciel  leurs
 * besoins dans des conditions permettant d'assurer la scurit de
 * leurs systmes et ou de leurs donnes et, plus gnralement, 
 * l'utiliser et l'exploiter dans les mmes conditions de scurit.
 * 
 * Le fait que vous puissiez accder  cet en-tte signifie que vous
 * avez pris connaissance de la licence CeCILL, et que vous en avez
 * accept les termes.
 */

package acube.framework.webcomp.action;

import java.util.Enumeration;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts2.interceptor.ServletRequestAware;
import org.apache.struts2.interceptor.ServletResponseAware;

import com.opensymphony.xwork2.ActionSupport;

/**
 * Projet fwacubej2ee.
 * 
 * @author EDS
 * 
 */
public class LogoutAction extends ActionSupport implements ServletRequestAware,
        ServletResponseAware {

    /**
     * <code>serialVersionUID</code> the serialVersionUID
     */
    private static final long serialVersionUID = 7766171586359163332L;

    /**
     * The logger - it is visible to all subclasses.
     */
    private Log logger = LogFactory.getLog(this.getClass());

    /**
     * <code>thisClass</code> the thisClass
     */
    private String thisClass = "[" + this.getClass().getName() + "]";

    /**
     * <code>servletRequest</code> the servletRequest
     */
    private HttpServletRequest servletRequest;

    /**
     * <code>servletResponse</code> the servletResponse
     */
    private HttpServletResponse servletResponse;

    /** {@inheritDoc} */
    public void setServletRequest(
            HttpServletRequest request) {

        this.servletRequest = request;
    }

    /** {@inheritDoc} */
    public void setServletResponse(
            HttpServletResponse response) {

        this.servletResponse = response;
    }

    /** {@inheritDoc} */
    public String execute() {

        HttpSession session = null;
        Enumeration<String> listeAttributs = null;

        this.logger.info(this.thisClass + " : Deconnexion de l'utilisateur "
                + this.servletRequest.getRemoteUser());

        // recuperation de la session courante
        session = this.servletRequest.getSession();

        if (null != session) {
            // suppression de toutes les attributs de cette session
            listeAttributs = session.getAttributeNames();

            while (listeAttributs.hasMoreElements()) {
                session.removeAttribute((String) listeAttributs.nextElement());
            }

            // on dtruit cette session
            session.invalidate();
        }

        // Suppression des cookies
        Cookie cookies[] = this.servletRequest.getCookies();
        for (int i = 0; i < cookies.length; i++) {
            Cookie unCookie = cookies[i];
            unCookie.setValue(null);
            unCookie.setMaxAge(0);
            unCookie.setPath("/");
            this.servletResponse.addCookie(unCookie);
        }

        return "success";
    }
}
