/*
 * Copyright ou  ou Copr. EDS, (26/06/08)
 * 
 * Ce logiciel est un programme informatique servant de framework J2EE
 * bas sur les normes J2EE (DAO,JDBC,MVC de Struts) et les principes
 * multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
 * Il offre la possibilit de gnrer facilement des flux XML mtier
 * pour consulter ou mettre  jour des sources de donnes et
 * s'interfacer avec le client riche ACube. Ce logiciel est rgi par
 * la licence CeCILL soumise au droit franais et respectant les
 * principes de diffusion des logiciels libres. Vous pouvez utiliser,
 * modifier et/ou redistribuer ce programme sous les conditions de la
 * licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * 
 * En contrepartie de l'accessibilit au code source et des droits de
 * copie, de modification et de redistribution accords par cette
 * licence, il n'est offert aux utilisateurs qu'une garantie limite.
 * Pour les mmes raisons, seule une responsabilit restreinte pse
 * sur l'auteur du programme, le titulaire des droits patrimoniaux et
 * les concdants successifs.
 * 
 * A cet gard l'attention de l'utilisateur est attire sur les
 * risques associs au chargement,  l'utilisation,  la modification
 * et/ou au dveloppement et  la reproduction du logiciel par
 * l'utilisateur tant donn sa spcificit de logiciel libre, qui
 * peut le rendre complexe  manipuler et qui le rserve donc  des
 * dveloppeurs et des professionnels avertis possdant des
 * connaissances informatiques approfondies. Les utilisateurs sont
 * donc invits  charger et tester l'adquation du logiciel  leurs
 * besoins dans des conditions permettant d'assurer la scurit de
 * leurs systmes et ou de leurs donnes et, plus gnralement, 
 * l'utiliser et l'exploiter dans les mmes conditions de scurit.
 * 
 * Le fait que vous puissiez accder  cet en-tte signifie que vous
 * avez pris connaissance de la licence CeCILL, et que vous en avez
 * accept les termes.
 */

package acube.framework.webcomp.interceptor;

import java.util.Calendar;
import java.util.Date;
import java.util.TimeZone;

import javax.servlet.http.HttpServletResponse;

import org.apache.struts2.ServletActionContext;

import acube.framework.utility.DateFR;

import com.opensymphony.xwork2.ActionInvocation;
import com.opensymphony.xwork2.interceptor.AbstractInterceptor;

/**
 * 
 * Interceptor use to modified the header of HTTP response.
 * 
 */
public class CacheControlInterceptor extends AbstractInterceptor {

    /**
     * <code>serialVersionUID</code> the serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * This method will return a past date.
     * 
     * @return a past date
     */
    protected Date getCalandar() {

        // !!!!!!!
        // BUG Internet Explorer: IE n'arrive pas  acceder  des
        // pages HTTPS
        // ayant un header HTTP "Cache-control: no-cache"
        final int diff = -1;

        TimeZone zoneLocale = TimeZone.getDefault();
        Calendar calendrier = Calendar.getInstance(zoneLocale);
        calendrier.setTimeZone(zoneLocale);

        // On enleve 1 an, 1 mois, 1 jour, 1heure, 1 min et 1 s
        calendrier.add(
            Calendar.YEAR, diff);
        calendrier.add(
            Calendar.MONTH, diff);
        calendrier.add(
            Calendar.DAY_OF_YEAR, diff);
        calendrier.add(
            Calendar.HOUR, diff);
        calendrier.add(
            Calendar.MINUTE, diff);
        calendrier.add(
            Calendar.SECOND, diff);
        return calendrier.getTime();
    }

    /** {@inheritDoc} */
    public String intercept(
            ActionInvocation invocation) throws Exception {

        String res = invocation.invoke();

        Date datePassee = this.getCalandar();

        // On fixe la politique de cache dans l'entete HTTP
        HttpServletResponse response = ServletActionContext.getResponse();

        response.setHeader(
            "Pragma", "");
        response.setHeader(
            "expires", DateFR.dateHeureToGMTString(datePassee));
        response.setHeader(
            "Cache-Control", "private,no-cache,no-store,max-age=0");

        return res;
    }
}
