/*
 * Copyright ou  ou Copr. EDS, (26/06/08)
 * 
 * Ce logiciel est un programme informatique servant de framework J2EE
 * bas sur les normes J2EE (DAO,JDBC,MVC de Struts) et les principes
 * multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
 * Il offre la possibilit de gnrer facilement des flux XML mtier
 * pour consulter ou mettre  jour des sources de donnes et
 * s'interfacer avec le client riche ACube. Ce logiciel est rgi par
 * la licence CeCILL soumise au droit franais et respectant les
 * principes de diffusion des logiciels libres. Vous pouvez utiliser,
 * modifier et/ou redistribuer ce programme sous les conditions de la
 * licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * 
 * En contrepartie de l'accessibilit au code source et des droits de
 * copie, de modification et de redistribution accords par cette
 * licence, il n'est offert aux utilisateurs qu'une garantie limite.
 * Pour les mmes raisons, seule une responsabilit restreinte pse
 * sur l'auteur du programme, le titulaire des droits patrimoniaux et
 * les concdants successifs.
 * 
 * A cet gard l'attention de l'utilisateur est attire sur les
 * risques associs au chargement,  l'utilisation,  la modification
 * et/ou au dveloppement et  la reproduction du logiciel par
 * l'utilisateur tant donn sa spcificit de logiciel libre, qui
 * peut le rendre complexe  manipuler et qui le rserve donc  des
 * dveloppeurs et des professionnels avertis possdant des
 * connaissances informatiques approfondies. Les utilisateurs sont
 * donc invits  charger et tester l'adquation du logiciel  leurs
 * besoins dans des conditions permettant d'assurer la scurit de
 * leurs systmes et ou de leurs donnes et, plus gnralement, 
 * l'utiliser et l'exploiter dans les mmes conditions de scurit.
 * 
 * Le fait que vous puissiez accder  cet en-tte signifie que vous
 * avez pris connaissance de la licence CeCILL, et que vous en avez
 * accept les termes.
 */

package acube.framework.webcomp.interceptor;

import org.apache.log4j.Logger;
import org.jdom.Document;
import org.jdom.output.DOMOutputter;

import acube.framework.webcomp.action.BaseAction;
import acube.framework.webcomp.technical.StrutsCXConstants;

import com.opensymphony.xwork2.ActionInvocation;
import com.opensymphony.xwork2.interceptor.AbstractInterceptor;

/**
 * This interceptor add the variable file to the action's result to
 * obtain the same XML file as StrutsCX.
 * 
 */
public class VariablesXmlInterceptor extends AbstractInterceptor {

    /**
     * <code>serialVersionUID</code> the serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * <code>logger</code> the logger
     */
    private Logger logger = Logger.getLogger(VariablesXmlInterceptor.class);

    /** {@inheritDoc} */
    public String intercept(
            ActionInvocation invocation) throws Exception {

        if (invocation.getAction() instanceof BaseAction) {
            this.logger.info("adding ressources properties");
            BaseAction action = (BaseAction) invocation.getAction();

            DOMOutputter jdomTow3c = new DOMOutputter();
            String propXml =
                    StrutsCXConstants.RESSOURCEPROPERTIES_FILES
                            + "."
                            + invocation.getInvocationContext().getLocale()
                                    .getLanguage();
            Document d =
                    (Document) invocation.getInvocationContext()
                            .getApplication().get(
                                propXml);
            action.getRoot().setResourcesproperties(
                jdomTow3c.output(
                    d).getDocumentElement());
            action.getRoot().setSession(
                invocation.getInvocationContext().getSession());
        }
        return invocation.invoke();
    }
}
