/*
 * Copyright ou  ou Copr. EDS, (26/06/08)
 * 
 * Ce logiciel est un programme informatique servant de framework J2EE
 * bas sur les normes J2EE (DAO,JDBC,MVC de Struts) et les principes
 * multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
 * Il offre la possibilit de gnrer facilement des flux XML mtier
 * pour consulter ou mettre  jour des sources de donnes et
 * s'interfacer avec le client riche ACube. Ce logiciel est rgi par
 * la licence CeCILL soumise au droit franais et respectant les
 * principes de diffusion des logiciels libres. Vous pouvez utiliser,
 * modifier et/ou redistribuer ce programme sous les conditions de la
 * licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * 
 * En contrepartie de l'accessibilit au code source et des droits de
 * copie, de modification et de redistribution accords par cette
 * licence, il n'est offert aux utilisateurs qu'une garantie limite.
 * Pour les mmes raisons, seule une responsabilit restreinte pse
 * sur l'auteur du programme, le titulaire des droits patrimoniaux et
 * les concdants successifs.
 * 
 * A cet gard l'attention de l'utilisateur est attire sur les
 * risques associs au chargement,  l'utilisation,  la modification
 * et/ou au dveloppement et  la reproduction du logiciel par
 * l'utilisateur tant donn sa spcificit de logiciel libre, qui
 * peut le rendre complexe  manipuler et qui le rserve donc  des
 * dveloppeurs et des professionnels avertis possdant des
 * connaissances informatiques approfondies. Les utilisateurs sont
 * donc invits  charger et tester l'adquation du logiciel  leurs
 * besoins dans des conditions permettant d'assurer la scurit de
 * leurs systmes et ou de leurs donnes et, plus gnralement, 
 * l'utiliser et l'exploiter dans les mmes conditions de scurit.
 * 
 * Le fait que vous puissiez accder  cet en-tte signifie que vous
 * avez pris connaissance de la licence CeCILL, et que vous en avez
 * accept les termes.
 */

package acube.framework.webcomp.listener;

import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;

import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;
import javax.xml.transform.URIResolver;

import org.apache.avalon.framework.configuration.Configuration;
import org.apache.avalon.framework.configuration.ConfigurationException;
import org.apache.avalon.framework.configuration.DefaultConfigurationBuilder;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.fop.apps.FopFactory;
import org.apache.fop.servlet.ServletContextURIResolver;
import org.jdom.Document;
import org.jdom.JDOMException;
import org.jdom.input.SAXBuilder;
import org.xml.sax.SAXException;

import acube.framework.webcomp.technical.StrutsCXConstants;

/**
 * This class load at startup all configuration files (the StrutsCX
 * variable files and the fop configuration file).
 * 
 */
public class WebCompInitializer implements ServletContextListener {

    /**
     * <code>LOG</code> the logger
     */
    static final Log LOG = LogFactory.getLog(WebCompInitializer.class);

    /** {@inheritDoc} */
    public void contextDestroyed(
            ServletContextEvent arg0) {

    }

    /** {@inheritDoc} */
    public void contextInitialized(
            ServletContextEvent ev) {

        ServletContext context = ev.getServletContext();

        // variable_XX.xml
        String files = context.getInitParameter("VariablesXmlLoader-config");

        for (String file : files.split(",")) {
            try {
                String lang = "";

                int i1 = file.lastIndexOf("_");
                int i2 = file.lastIndexOf(".");
                if (i1 > 0) {
                    lang = file.substring(
                        i1 + 1, i2);
                }

                InputStream is = context.getResourceAsStream(file);
                String encoding = "UTF-8";

                SAXBuilder builder = new SAXBuilder();
                InputStreamReader isr = new InputStreamReader(
                        is, encoding);
                Document document = builder.build(isr);

                context.setAttribute(
                    StrutsCXConstants.RESSOURCEPROPERTIES_FILES + "." + lang,
                    document);
            } catch (UnsupportedEncodingException e) {
                WebCompInitializer.LOG.error(e);
            } catch (JDOMException e) {
                WebCompInitializer.LOG.error(e);
            } catch (IOException e) {
                WebCompInitializer.LOG.error(e);
            }
        }

        // FOP

        String fopConfigFile =
                context.getInitParameter("FopInitializer-config");

        if (fopConfigFile != null) {

            DefaultConfigurationBuilder cfgBuilder =
                    new DefaultConfigurationBuilder();
            Configuration cfg;
            try {

                WebCompInitializer.LOG.info("Loading FOP CONFIGURATION FILE : "
                        + fopConfigFile);
                cfg =
                        cfgBuilder.build(context
                                .getResourceAsStream(fopConfigFile));

                URIResolver uriResolver = new ServletContextURIResolver(
                        context);

                FopFactory fopFactory = FopFactory.newInstance();
                fopFactory.setURIResolver(uriResolver);
                fopFactory.setUserConfig(cfg);

                ev.getServletContext().setAttribute(
                    FopFactory.class.getName(), fopFactory);

            } catch (ConfigurationException e) {
                WebCompInitializer.LOG
                        .error("CAN'T USE FOP CONFIGURATION FILE : "
                                + fopConfigFile);
                throw new RuntimeException(
                        e);
            } catch (SAXException e) {
                WebCompInitializer.LOG
                        .error("SAXException occured while reading"
                                + " FOP fonficguration file " + fopConfigFile);
                throw new RuntimeException(
                        e);
            } catch (IOException e) {
                WebCompInitializer.LOG
                        .error("IOException occured while reading"
                                + " FOP fonficguration file " + fopConfigFile);
                throw new RuntimeException(
                        e);
            }
        }
    }

}
