/*
 * Copyright ou  ou Copr. EDS, (26/06/08)
 * 
 * Ce logiciel est un programme informatique servant de framework J2EE
 * bas sur les normes J2EE (DAO,JDBC,MVC de Struts) et les principes
 * multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
 * Il offre la possibilit de gnrer facilement des flux XML mtier
 * pour consulter ou mettre  jour des sources de donnes et
 * s'interfacer avec le client riche ACube. Ce logiciel est rgi par
 * la licence CeCILL soumise au droit franais et respectant les
 * principes de diffusion des logiciels libres. Vous pouvez utiliser,
 * modifier et/ou redistribuer ce programme sous les conditions de la
 * licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * 
 * En contrepartie de l'accessibilit au code source et des droits de
 * copie, de modification et de redistribution accords par cette
 * licence, il n'est offert aux utilisateurs qu'une garantie limite.
 * Pour les mmes raisons, seule une responsabilit restreinte pse
 * sur l'auteur du programme, le titulaire des droits patrimoniaux et
 * les concdants successifs.
 * 
 * A cet gard l'attention de l'utilisateur est attire sur les
 * risques associs au chargement,  l'utilisation,  la modification
 * et/ou au dveloppement et  la reproduction du logiciel par
 * l'utilisateur tant donn sa spcificit de logiciel libre, qui
 * peut le rendre complexe  manipuler et qui le rserve donc  des
 * dveloppeurs et des professionnels avertis possdant des
 * connaissances informatiques approfondies. Les utilisateurs sont
 * donc invits  charger et tester l'adquation du logiciel  leurs
 * besoins dans des conditions permettant d'assurer la scurit de
 * leurs systmes et ou de leurs donnes et, plus gnralement, 
 * l'utiliser et l'exploiter dans les mmes conditions de scurit.
 * 
 * Le fait que vous puissiez accder  cet en-tte signifie que vous
 * avez pris connaissance de la licence CeCILL, et que vous en avez
 * accept les termes.
 */

package acube.framework.webcomp.views;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts2.views.xslt.AbstractAdapterElement;
import org.apache.struts2.views.xslt.AdapterFactory;
import org.apache.struts2.views.xslt.AdapterNode;
import org.w3c.dom.Node;

/**
 * Utility class to transform collection into XML like StrutsCX.
 * 
 */
public class CollectionAdapter extends AbstractAdapterElement {

    /**
     * <code>log</code> the log
     */
    private Log log = LogFactory.getLog(this.getClass());

    /**
     * Constructor
     */
    public CollectionAdapter() {

    }

    /**
     * @param rootAdapterFactory
     *            rootAdapterFactory
     * @param parent
     *            the parent adapter node
     * @param propertyName
     *            the property name
     * @param value
     *            the object value
     */
    public CollectionAdapter(
            AdapterFactory rootAdapterFactory, AdapterNode parent,
            String propertyName, Object value) {

        this.setContext(
            rootAdapterFactory, parent, propertyName, value);
    }

    /** {@inheritDoc} */
    protected List<Node> buildChildAdapters() {

        Collection values = (Collection) this.getPropertyValue();
        List<Node> children = new ArrayList<Node>(
                values.size());

        for (Object value : values) {
            String itemName = null;
            if (value.getClass().getPackage().getName().startsWith(
                "java.lang")) {
                itemName = "item";
            } else {
                itemName = value.getClass().getSimpleName();
            }
            Node childAdapter = this.getAdapterFactory().adaptNode(
                this, itemName, value);
            if (childAdapter != null) {
                children.add(childAdapter);
            }

            if (this.log.isDebugEnabled()) {
                this.log.debug(this + " adding adapter: " + childAdapter);
            }
        }

        return children;
    }
}
