/*
 * Copyright ou  ou Copr. EDS, (26/06/08)
 * 
 * Ce logiciel est un programme informatique servant de framework J2EE
 * bas sur les normes J2EE (DAO,JDBC,MVC de Struts) et les principes
 * multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
 * Il offre la possibilit de gnrer facilement des flux XML mtier
 * pour consulter ou mettre  jour des sources de donnes et
 * s'interfacer avec le client riche ACube. Ce logiciel est rgi par
 * la licence CeCILL soumise au droit franais et respectant les
 * principes de diffusion des logiciels libres. Vous pouvez utiliser,
 * modifier et/ou redistribuer ce programme sous les conditions de la
 * licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * 
 * En contrepartie de l'accessibilit au code source et des droits de
 * copie, de modification et de redistribution accords par cette
 * licence, il n'est offert aux utilisateurs qu'une garantie limite.
 * Pour les mmes raisons, seule une responsabilit restreinte pse
 * sur l'auteur du programme, le titulaire des droits patrimoniaux et
 * les concdants successifs.
 * 
 * A cet gard l'attention de l'utilisateur est attire sur les
 * risques associs au chargement,  l'utilisation,  la modification
 * et/ou au dveloppement et  la reproduction du logiciel par
 * l'utilisateur tant donn sa spcificit de logiciel libre, qui
 * peut le rendre complexe  manipuler et qui le rserve donc  des
 * dveloppeurs et des professionnels avertis possdant des
 * connaissances informatiques approfondies. Les utilisateurs sont
 * donc invits  charger et tester l'adquation du logiciel  leurs
 * besoins dans des conditions permettant d'assurer la scurit de
 * leurs systmes et ou de leurs donnes et, plus gnralement, 
 * l'utiliser et l'exploiter dans les mmes conditions de scurit.
 * 
 * Le fait que vous puissiez accder  cet en-tte signifie que vous
 * avez pris connaissance de la licence CeCILL, et que vous en avez
 * accept les termes.
 */

package acube.framework.webcomp.views;

import javax.xml.transform.Source;
import javax.xml.transform.dom.DOMSource;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * This class is use to transform data like StrutsCX. This is use by
 * Struts1.1 action.
 * 
 */
public class XSLTResultCX extends acube.framework.struts2.views.XSLTResult {

    /**
     * <code>LOG</code> the LOG
     */
    static final Log LOG = LogFactory.getLog(XSLTResultCX.class);

    /**
     * <code>ROOT_PROP</code> the ROOT_PROP
     */
    static final String ROOT_PROP = "root";

    /**
     * <code>ROOT_NODE</code> the ROOT_NODE
     */
    static final String ROOT_NODE = "root";

    /**
     * <code>serialVersionUID</code> the serialVersionUID
     */
    private static final long serialVersionUID = -9170276682529223802L;

    /**
     * Constructor
     */
    public XSLTResultCX() {

        // proprit de l'objet qui sera srialise
        // on ne srialise pas tout l'objet  cause des effets de
        // bords possibles
        this.setExposedValue(XSLTResultCX.ROOT_PROP);

        this.getAdapterFactory().registerAdapterType(
            java.util.Collection.class, CollectionAdapter.class);
        this.getAdapterFactory().registerAdapterType(
            java.util.List.class, CollectionAdapter.class);
        this.getAdapterFactory().registerAdapterType(
            java.util.ArrayList.class, CollectionAdapter.class);
        this.getAdapterFactory().registerAdapterType(
            java.util.LinkedList.class, CollectionAdapter.class);
        this.getAdapterFactory().registerAdapterType(
            java.util.Vector.class, CollectionAdapter.class);

    }

    /** {@inheritDoc} */
    protected Source getDOMSourceForStack(
            Object value) throws IllegalAccessException,
            InstantiationException {

        // on fixe le nom du noeud racine
        return new DOMSource(
                this.getAdapterFactory().adaptDocument(
                    XSLTResultCX.ROOT_NODE, value));
    }
}
