/*
 * Copyright ou  ou Copr. EDS, (26/06/08)
 * 
 * Ce logiciel est un programme informatique servant de framework J2EE
 * bas sur les normes J2EE (DAO,JDBC,MVC de Struts) et les principes
 * multi-X (multi-couches, multi-canal, multi-formats, multi-langues).
 * Il offre la possibilit de gnrer facilement des flux XML mtier
 * pour consulter ou mettre  jour des sources de donnes et
 * s'interfacer avec le client riche ACube. Ce logiciel est rgi par
 * la licence CeCILL soumise au droit franais et respectant les
 * principes de diffusion des logiciels libres. Vous pouvez utiliser,
 * modifier et/ou redistribuer ce programme sous les conditions de la
 * licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".
 * 
 * En contrepartie de l'accessibilit au code source et des droits de
 * copie, de modification et de redistribution accords par cette
 * licence, il n'est offert aux utilisateurs qu'une garantie limite.
 * Pour les mmes raisons, seule une responsabilit restreinte pse
 * sur l'auteur du programme, le titulaire des droits patrimoniaux et
 * les concdants successifs.
 * 
 * A cet gard l'attention de l'utilisateur est attire sur les
 * risques associs au chargement,  l'utilisation,  la modification
 * et/ou au dveloppement et  la reproduction du logiciel par
 * l'utilisateur tant donn sa spcificit de logiciel libre, qui
 * peut le rendre complexe  manipuler et qui le rserve donc  des
 * dveloppeurs et des professionnels avertis possdant des
 * connaissances informatiques approfondies. Les utilisateurs sont
 * donc invits  charger et tester l'adquation du logiciel  leurs
 * besoins dans des conditions permettant d'assurer la scurit de
 * leurs systmes et ou de leurs donnes et, plus gnralement, 
 * l'utiliser et l'exploiter dans les mmes conditions de scurit.
 * 
 * Le fait que vous puissiez accder  cet en-tte signifie que vous
 * avez pris connaissance de la licence CeCILL, et que vous en avez
 * accept les termes.
 */

package acube.framework.webcomp.views;

import java.io.ByteArrayOutputStream;
import java.io.OutputStream;

import javax.servlet.http.HttpServletResponse;
import javax.xml.transform.Result;
import javax.xml.transform.Source;
import javax.xml.transform.Templates;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.sax.SAXResult;

import org.apache.fop.apps.Fop;
import org.apache.fop.apps.FopFactory;
import org.apache.fop.apps.MimeConstants;
import org.apache.struts2.ServletActionContext;

import com.opensymphony.xwork2.ActionInvocation;
import com.opensymphony.xwork2.util.ValueStack;

/**
 * Result to generate PDF.
 * 
 */
public class XSLTResultCXFop extends XSLTResultCX {

    /**
     * <code>serialVersionUID</code> the serialVersionUID
     */
    private static final long serialVersionUID = 9106294445518946732L;

    /** {@inheritDoc} */
    public void execute(
            ActionInvocation invocation) throws Exception {

        long startTime = System.currentTimeMillis();
        String location = this.getStylesheetLocation();

        // if (parse) {
        // ValueStack stack =
        // ActionContext.getContext().getValueStack();
        // location = TextParseUtil.translateVariables(location,
        // stack);
        // }

        try {
            HttpServletResponse response = ServletActionContext.getResponse();

            // Create a transformer for the stylesheet.
            Templates templates = null;
            Transformer transformer;
            if (location != null) {
                templates = this.getTemplates(location);
                transformer = templates.newTransformer();
            } else {
                transformer = TransformerFactory.newInstance().newTransformer();
            }

            transformer.setURIResolver(this.getURIResolver());

            Object result = invocation.getAction();
            if (this.getExposedValue() != null) {
                ValueStack stack = invocation.getStack();
                result = stack.findValue(this.getExposedValue());
            }

            ByteArrayOutputStream baos = new ByteArrayOutputStream();

            FopFactory fopFactory =
                    (FopFactory) ServletActionContext.getServletContext()
                            .getAttribute(
                                FopFactory.class.getName());

            Fop fop = fopFactory.newFop(
                MimeConstants.MIME_PDF, baos);

            Source xmlSource = this.getDOMSourceForStack(result);
            Result saxResult = new SAXResult(
                    fop.getDefaultHandler());

            LOG.debug("xmlSource = " + xmlSource);
            transformer.transform(
                xmlSource, saxResult);

            // super important pour IE...
            response.reset();
            response.setContentType("application/pdf");
            // compatibilit
            response.setContentLength(baos.size());
            // plugin Adobe :
            // il faut envoyer
            // la taille du
            // flux avant
            // celui-ci
            OutputStream out = response.getOutputStream();
            out.write(baos.toByteArray());
            out.flush();
            out.close(); // ...and flush...

            if (LOG.isDebugEnabled()) {
                LOG.debug("Time:" + (System.currentTimeMillis() - startTime)
                        + "ms");
            }

        } catch (Exception e) {
            LOG.error(
                "Unable to render XSLT Template, '" + location + "'", e);
            throw e;
        }
    }
}
